package com.zfire.mall.manager.bean.k3.v2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.K3CommonStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class KingDeePurchaseOrderVO {

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = " 单据编号")
    private String id;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = " 单据编号")
    private String billNo;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "业务类型")
    private String businessType;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "采购日期")
    private Date forDate;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "单据类型")
    private String billType;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "指定供应商")
    private String assignSupplierId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "采购部门")
    private String purchaseDeptId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "采购员")
    private String purchaserId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "付款条件")
    private String payConditionId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "备注")
    private String abcdRemarks;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核人")
    private String approverName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    private String creatorName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "变更人")
    private String changerName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "价税合计")
    private BigDecimal billAllAmount;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "金额")
    private BigDecimal billAmount;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "税额")
    private BigDecimal billTaxAmount;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "结算币别")
    private String settleCurr;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "同步时间")
    private Date syncTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "作废状态")
    private K3CommonStatusEnum cancelStatus;

//    @ApiModelProperty(value = "绑定id")
//    private String fId;
//
//    @ApiModelProperty(value = "物料id")
//    private String materialId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "采购单位")
    private String unit;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "采购数量")
    private BigDecimal qty;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "金额")
    private BigDecimal entryAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "备注")
    private String entryNote;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "价税合计")
    private BigDecimal allAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "应付数量")
    private BigDecimal invoiceQty;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "应付金额")
    private BigDecimal invoiceAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "规格型号")
    private String model;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "税额")
    private BigDecimal entryTaxAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "含税单价")
    private BigDecimal taxPrice;
}
