package com.zfire.mall.manager.bean.k3.v2;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.ExamineStatusEnum;
import com.zfire.mall.manager.enums.K3CommonStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class KingDeePurchaseStockInVO {

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(tbName = "a", hide = true)
    @ApiModelProperty(value = "供应链组织id")
    private String supplyOrgId;


    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "单据编号")
    private String billNo;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "入库日期")
    private Date forDate;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "收料组织")
    private String stockOrgId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "需求组织")
    private String demandOrgId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "采购组织")
    private String purchaseOrgId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "供应商")
    private String supplierId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "收料部门")
    private String stockDeptId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "状态")
    private ExamineStatusEnum cancelStatus;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核人")
    private String approverId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核日期")
    private Date approveDate;


    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "供货方")
    private String supplyName;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ZfireField(tbName = "b", hide = true)
    @ApiModelProperty(value = "实体主键")
    private String entryId;

    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "仓库id")
    private String stockId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "备注")
    private String note;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "应收数量")
    private BigDecimal mustQty;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "实收数量")
    private BigDecimal realQty;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "单位")
    private String unit;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = " 数量")
    private BigDecimal auxUnitQty;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = " 税率(%)")
    private BigDecimal entryTaxRate;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "含税单价")
    private BigDecimal taxPrice;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "税额")
    private BigDecimal entryTaxAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "价税合计")
    private BigDecimal allAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "规格型号")
    private String uom;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "厂订单号")
    private String cddhText;

    @ZfireField(tbName = "c", colName = "old_number")
    @ApiModelProperty(value = "物料代码")
    private String materialOldNumber;

    @ZfireField(tbName = "b", colName = "stock_name")
    @ApiModelProperty(value = "仓库")
    private String stockName;
}
