package com.zfire.mall.manager.bean.stock;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.ExamineStatusEnum;
import com.zfire.mall.manager.plus.entity.KingDeePurchaseStockOut;
import com.zfire.mall.manager.plus.entity.KingDeePurchaseStockOutItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class KingDeePurchaseStockOutVO   {

    @ZfireField(hide = true,tbName = "kdpso")
    private String id;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "单据编号")
    private String billNo;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "退料组织")
    private String stockOrgId;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "退料日期")
    private Date forDate;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "采购组织")
    private String purchaseOrgId;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "供应商")
    private String supplierId;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "退料类型")
    private String mrType;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "退料方式")
    private String mrMode;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "状态")
    private ExamineStatusEnum cancelStatus;


    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "审核人")
    private String approverId;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "审核日期")
    private Date approveDate;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "备注")
    private String abcdRemarks;


    @ZfireField(tbName = "kdpsoi")
    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ZfireField(tbName = "kdpsoi")
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ZfireField(tbName = "kdpsoi")
    @ApiModelProperty(value = "仓库名称")
    private String stockName;

    @ZfireField(tbName = "kdpsoi")
    @ApiModelProperty(value = "实退数量")
    private BigDecimal rmRealQty;





}
